VTK: vtkTensorWidget Class Reference

| VTK 9.3.1

Public Member Functions | Protected Types | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
vtkTensorWidget Class Reference

3D widget for manipulating a tensor glyph More...

`#include <vtkTensorWidget.h>`

Inheritance diagram for vtkTensorWidget:
[legend]
Collaboration diagram for vtkTensorWidget:
[legend]

## Public Member Functions
void | SetRepresentation (vtkTensorRepresentation *r)
| Specify an instance of vtkWidgetRepresentation used to represent this widget in the scene. More...
void | CreateDefaultRepresentation () override
| Create the default widget representation if one is not set. More...
void | SetEnabled (int enabling) override
| Override superclasses' SetEnabled() method because the line widget must enable its internal handle widgets. More...
virtual void | SetTranslationEnabled (vtkTypeBool)
| Control the behavior of the widget (i.e., how it processes events). More...
virtual vtkTypeBool | GetTranslationEnabled ()
| Control the behavior of the widget (i.e., how it processes events). More...
virtual void | TranslationEnabledOn ()
| Control the behavior of the widget (i.e., how it processes events). More...
virtual void | TranslationEnabledOff ()
| Control the behavior of the widget (i.e., how it processes events). More...
virtual void | SetScalingEnabled (vtkTypeBool)
| Control the behavior of the widget (i.e., how it processes events). More...
virtual vtkTypeBool | GetScalingEnabled ()
| Control the behavior of the widget (i.e., how it processes events). More...
virtual void | ScalingEnabledOn ()
| Control the behavior of the widget (i.e., how it processes events). More...
virtual void | ScalingEnabledOff ()
| Control the behavior of the widget (i.e., how it processes events). More...
virtual void | SetRotationEnabled (vtkTypeBool)
| Control the behavior of the widget (i.e., how it processes events). More...
virtual vtkTypeBool | GetRotationEnabled ()
| Control the behavior of the widget (i.e., how it processes events). More...
virtual void | RotationEnabledOn ()
| Control the behavior of the widget (i.e., how it processes events). More...
virtual void | RotationEnabledOff ()
| Control the behavior of the widget (i.e., how it processes events). More...
virtual void | SetMoveFacesEnabled (vtkTypeBool)
| Control the behavior of the widget (i.e., how it processes events). More...
virtual vtkTypeBool | GetMoveFacesEnabled ()
| Control the behavior of the widget (i.e., how it processes events). More...
virtual void | MoveFacesEnabledOn ()
| Control the behavior of the widget (i.e., how it processes events). More...
virtual void | MoveFacesEnabledOff ()
| Control the behavior of the widget (i.e., how it processes events). More...
Public Member Functions inherited from vtkAbstractWidget
vtkWidgetEventTranslator * | GetEventTranslator ()
| Get the event translator. More...
void | Render ()
| This method is called by subclasses when a render method is to be invoked on the vtkRenderWindowInteractor. More...
void | SetParent (vtkAbstractWidget *parent)
| Specifying a parent to this widget is used when creating composite widgets. More...
virtual vtkAbstractWidget * | GetParent ()
void | SetPriority (float) override
| Override the superclass method. More...
virtual void | SetProcessEvents (vtkTypeBool)
| Methods to change whether the widget responds to interaction. More...
virtual vtkTypeBool | GetProcessEvents ()
| Methods to change whether the widget responds to interaction. More...
virtual void | ProcessEventsOn ()
| Methods to change whether the widget responds to interaction. More...
virtual void | ProcessEventsOff ()
| Methods to change whether the widget responds to interaction. More...
vtkWidgetRepresentation * | GetRepresentation ()
| Return an instance of vtkWidgetRepresentation used to represent this widget in the scene. More...
virtual void | SetManagesCursor (vtkTypeBool)
| Turn on or off the management of the cursor. More...
virtual vtkTypeBool | GetManagesCursor ()
| Turn on or off the management of the cursor. More...
virtual void | ManagesCursorOn ()
| Turn on or off the management of the cursor. More...
virtual void | ManagesCursorOff ()
| Turn on or off the management of the cursor. More...
vtkAbstractWidget * | NewInstance () const
| Standard macros implementing standard VTK methods. More...
Public Member Functions inherited from vtkInteractorObserver
vtkInteractorObserver * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
int | GetEnabled ()
void | EnabledOn ()
void | EnabledOff ()
void | On ()
void | Off ()
virtual void | OnChar ()
| Sets up the keypress-i event. More...
virtual void | SetInteractor (vtkRenderWindowInteractor *iren)
| This method is used to associate the widget with the render window interactor. More...
virtual vtkRenderWindowInteractor * | GetInteractor ()
| This method is used to associate the widget with the render window interactor. More...
virtual float | GetPriority ()
| Set/Get the priority at which events are processed. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetKeyPressActivation (vtkTypeBool)
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual vtkTypeBool | GetKeyPressActivation ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | KeyPressActivationOn ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | KeyPressActivationOff ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | SetKeyPressActivationValue (char)
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual char | GetKeyPressActivationValue ()
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual vtkRenderer * | GetDefaultRenderer ()
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual void | SetDefaultRenderer (vtkRenderer *)
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual vtkRenderer * | GetCurrentRenderer ()
| Set/Get the current renderer. More...
virtual void | SetCurrentRenderer (vtkRenderer *)
| Set/Get the current renderer. More...
void | GrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
void | ReleaseFocus ()
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Protected Types
enum | WidgetStateType { Start = 0 , Active }
typedef WidgetStateType | _WidgetState

## Protected Member Functions
| vtkTensorWidget ()
| ~vtkTensorWidget () override
Protected Member Functions inherited from vtkAbstractWidget
| vtkAbstractWidget ()
| ~vtkAbstractWidget () override
void | SetWidgetRepresentation (vtkWidgetRepresentation *r)
virtual void | SetCursor (int vtkNotUsed(state))
Protected Member Functions inherited from vtkInteractorObserver
| vtkInteractorObserver ()
| ~vtkInteractorObserver () override
virtual void | RegisterPickers ()
| Register internal Pickers in the Picking Manager. More...
void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the observer currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the picker, and return the assembly path. More...
int | RequestCursorShape (int requestedShape)
virtual void | StartInteraction ()
| Utility routines used to start and end interaction. More...
virtual void | EndInteraction ()
| Utility routines used to start and end interaction. More...
void | ComputeDisplayToWorld (double x, double y, double z, double worldPt[4])
| Helper method for subclasses. More...
void | ComputeWorldToDisplay (double x, double y, double z, double displayPt[3])
| Helper method for subclasses. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Static Protected Member Functions
static void | SelectAction (vtkAbstractWidget *)
static void | EndSelectAction (vtkAbstractWidget *)
static void | TranslateAction (vtkAbstractWidget *)
static void | ScaleAction (vtkAbstractWidget *)
static void | MoveAction (vtkAbstractWidget *)
static void | SelectAction3D (vtkAbstractWidget *)
static void | EndSelectAction3D (vtkAbstractWidget *)
static void | MoveAction3D (vtkAbstractWidget *)
static void | StepAction3D (vtkAbstractWidget *)
static void | ProcessKeyEvents (vtkObject *, unsigned long, void *, void *)
Static Protected Member Functions inherited from vtkAbstractWidget
static void | ProcessEventsHandler (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
Static Protected Member Functions inherited from vtkInteractorObserver
static void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
| Handles the char widget activation event. More...
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Protected Attributes
int | WidgetState
vtkTypeBool | TranslationEnabled
vtkTypeBool | ScalingEnabled
vtkTypeBool | RotationEnabled
vtkTypeBool | MoveFacesEnabled
vtkCallbackCommand * | KeyEventCallbackCommand
Protected Attributes inherited from vtkAbstractWidget
vtkWidgetRepresentation * | WidgetRep
vtkTypeBool | ManagesCursor
vtkWidgetEventTranslator * | EventTranslator
vtkWidgetCallbackMapper * | CallbackMapper
vtkAbstractWidget * | Parent
void * | CallData
vtkTypeBool | ProcessEvents
int | LastDevice
Protected Attributes inherited from vtkInteractorObserver
int | Enabled
vtkCallbackCommand * | EventCallbackCommand
vtkCallbackCommand * | KeyPressCallbackCommand
float | Priority
bool | PickingManaged
vtkTypeBool | KeyPressActivation
char | KeyPressActivationValue
vtkRenderWindowInteractor * | Interactor
vtkRenderer * | CurrentRenderer
vtkRenderer * | DefaultRenderer
unsigned long | CharObserverTag
unsigned long | DeleteObserverTag
vtkObserverMediator * | ObserverMediator
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
typedef vtkAbstractWidget | Superclass
| Standard methods for instantiation, type information, and printing. More...
static vtkTensorWidget * | New ()
| Standard methods for instantiation, type information, and printing. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instantiation, type information, and printing. More...
static vtkTensorWidget * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instantiation, type information, and printing. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard methods for instantiation, type information, and printing. More...
vtkTensorWidget * | NewInstance () const
| Standard methods for instantiation, type information, and printing. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for instantiation, type information, and printing. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard methods for instantiation, type information, and printing. More...

## Additional Inherited Members
Public Types inherited from vtkAbstractWidget
typedef vtkInteractorObserver | Superclass
| Standard macros implementing standard VTK methods. More...
Public Types inherited from vtkInteractorObserver
typedef vtkObject | Superclass
Static Public Member Functions inherited from vtkAbstractWidget
static vtkTypeBool | IsTypeOf (const char *type)
| Standard macros implementing standard VTK methods. More...
static vtkAbstractWidget * | SafeDownCast (vtkObjectBase *o)
| Standard macros implementing standard VTK methods. More...
Static Public Member Functions inherited from vtkInteractorObserver
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInteractorObserver * | SafeDownCast (vtkObjectBase *o)
static void | ComputeDisplayToWorld (vtkRenderer *ren, double x, double y, double z, double worldPt[4])
| Convenience methods for outside classes. More...
static void | ComputeWorldToDisplay (vtkRenderer *ren, double x, double y, double z, double displayPt[3])
| Convenience methods for outside classes. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Detailed Description

3D widget for manipulating a tensor glyph

This 3D widget interacts with a vtkTensorRepresentation class (i.e., it handles the events that drive its corresponding representation). The widget is assumed to operate on a single 3x3 real, symmetric tensor located at a specified position. The tensor implicitly defines three orthogonal eigenvectors which indicate the orientation and relative scaling of the widget's representation.

The widget has the appearance of an oriented box with seven handles: one at the center of the box, and six located at the center of each face. The box can be translated by selecting its center handle; rotated by selecting and rotating one of the box faces around the box center; and scaled (in a particular direction) by selecting the face handles (located on each face) and moving the faces in/out in the direction of the face normal. Uniform scaling is also possible by (default) using the right mouse button (unless the binding has been redefined).

To use this widget, you generally pair it with a vtkTensorRepresentation (or a subclass). Various options are available in the representation for controlling the widgets' size and position; how the widget appears; and how the widget functions.

Event Bindings:
  By default, the widget responds to the following VTK events (i.e., it watches the vtkRenderWindowInteractor for these events):

      If one of the seven handles are selected:
        LeftButtonPressEvent - select the appropriate handle
        LeftButtonReleaseEvent - release the currently selected handle
        MouseMoveEvent - move the handle
      If one of the faces is selected:
        LeftButtonPressEvent - select a box face
        LeftButtonReleaseEvent - release the box face
        MouseMoveEvent - rotate the box
      In all the cases, independent of what is picked, the widget responds to the
      following VTK events:
        MiddleButtonPressEvent - translate the widget
        MiddleButtonReleaseEvent - release the widget
        RightButtonPressEvent - scale the widget's representation
        RightButtonReleaseEvent - stop scaling the widget
        MouseMoveEvent - scale (if right button) or move (if middle button) the widget

Event Bindings:
  Note that the event bindings described above can be changed using this class's vtkWidgetEventTranslator. This class translates VTK events into the vtkTensorWidget's widget events:

        vtkWidgetEvent::Select -- some part of the widget has been selected
        vtkWidgetEvent::EndSelect -- the selection process has completed
        vtkWidgetEvent::Scale -- some part of the widget has been selected
        vtkWidgetEvent::EndScale -- the selection process has completed
        vtkWidgetEvent::Translate -- some part of the widget has been selected
        vtkWidgetEvent::EndTranslate -- the selection process has completed
        vtkWidgetEvent::Move -- a request for motion has been invoked

Event Bindings:
  In turn, when these widget events are processed, the vtkTensorWidget invokes the following VTK events on itself (which observers can listen for):

        vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)
        vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)
        vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)

See also
  vtkTensorRepresentation vtkBoxWidget2

Events:
  vtkCommand::EndInteractionEvent vtkCommand::InteractionEvent vtkCommand::StartInteractionEvent

Tests:
  vtkTensorWidget (Tests)

Definition at line 94 of file vtkTensorWidget.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkAbstractWidget vtkTensorWidget::Superclass

Standard methods for instantiation, type information, and printing.

Definition at line 102 of file vtkTensorWidget.h.

## ◆ _WidgetState

typedef WidgetStateType vtkTensorWidget::_WidgetState
| protected

Definition at line 164 of file vtkTensorWidget.h.

## Member Enumeration Documentation

## ◆ WidgetStateType

enum vtkTensorWidget::WidgetStateType
| protected

Enumerator
Start |
Active |

Definition at line 157 of file vtkTensorWidget.h.

## Constructor & Destructor Documentation

## ◆ vtkTensorWidget()

vtkTensorWidget::vtkTensorWidget | ( |  | ) |
| protected

## ◆ ~vtkTensorWidget()

vtkTensorWidget::~vtkTensorWidget | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkTensorWidget* vtkTensorWidget::New | ( |  | ) |
| static

Standard methods for instantiation, type information, and printing.

## ◆ IsTypeOf()

static vtkTypeBool vtkTensorWidget::IsTypeOf | ( | const char * | type | ) |
| static

Standard methods for instantiation, type information, and printing.

## ◆ IsA()

virtual vtkTypeBool vtkTensorWidget::IsA | ( | const char * | type | ) |
| virtual

Standard methods for instantiation, type information, and printing.

Reimplemented from vtkAbstractWidget.

## ◆ SafeDownCast()

static vtkTensorWidget* vtkTensorWidget::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard methods for instantiation, type information, and printing.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkTensorWidget::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard methods for instantiation, type information, and printing.

Reimplemented from vtkAbstractWidget.

## ◆ NewInstance()

vtkTensorWidget* vtkTensorWidget::NewInstance | ( |  | ) | const

Standard methods for instantiation, type information, and printing.

## ◆ PrintSelf()

void vtkTensorWidget::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard methods for instantiation, type information, and printing.

Reimplemented from vtkAbstractWidget.

## ◆ SetRepresentation()

void vtkTensorWidget::SetRepresentation | ( | vtkTensorRepresentation * | r | ) |
| inline

Specify an instance of vtkWidgetRepresentation used to represent this widget in the scene.

Note that the representation is a subclass of vtkProp so it can be added to the renderer independent of the widget.

Definition at line 111 of file vtkTensorWidget.h.

## ◆ SetTranslationEnabled()

virtual void vtkTensorWidget::SetTranslationEnabled | ( | vtkTypeBool |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ GetTranslationEnabled()

virtual vtkTypeBool vtkTensorWidget::GetTranslationEnabled | ( |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ TranslationEnabledOn()

virtual void vtkTensorWidget::TranslationEnabledOn | ( |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ TranslationEnabledOff()

virtual void vtkTensorWidget::TranslationEnabledOff | ( |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ SetScalingEnabled()

virtual void vtkTensorWidget::SetScalingEnabled | ( | vtkTypeBool |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ GetScalingEnabled()

virtual vtkTypeBool vtkTensorWidget::GetScalingEnabled | ( |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ ScalingEnabledOn()

virtual void vtkTensorWidget::ScalingEnabledOn | ( |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ ScalingEnabledOff()

virtual void vtkTensorWidget::ScalingEnabledOff | ( |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ SetRotationEnabled()

virtual void vtkTensorWidget::SetRotationEnabled | ( | vtkTypeBool |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ GetRotationEnabled()

virtual vtkTypeBool vtkTensorWidget::GetRotationEnabled | ( |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ RotationEnabledOn()

virtual void vtkTensorWidget::RotationEnabledOn | ( |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ RotationEnabledOff()

virtual void vtkTensorWidget::RotationEnabledOff | ( |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ SetMoveFacesEnabled()

virtual void vtkTensorWidget::SetMoveFacesEnabled | ( | vtkTypeBool |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ GetMoveFacesEnabled()

virtual vtkTypeBool vtkTensorWidget::GetMoveFacesEnabled | ( |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ MoveFacesEnabledOn()

virtual void vtkTensorWidget::MoveFacesEnabledOn | ( |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ MoveFacesEnabledOff()

virtual void vtkTensorWidget::MoveFacesEnabledOff | ( |  | ) |
| virtual

Control the behavior of the widget (i.e., how it processes events).

Translation, rotation, scaling and face movement can all be enabled and disabled. Scaling refers to scaling of the whole widget at once, (default is through right mouse button) while face movement refers to scaling of the widget one face (axis) at a time (default through grabbing one of the representation spherical handles).

## ◆ CreateDefaultRepresentation()

void vtkTensorWidget::CreateDefaultRepresentation | ( |  | ) |
| overridevirtual

Create the default widget representation if one is not set.

By default, this is an instance of the vtkTensorRepresentation class.

Implements vtkAbstractWidget.

## ◆ SetEnabled()

void vtkTensorWidget::SetEnabled | ( | int | enabling | ) |
| overridevirtual

Override superclasses' SetEnabled() method because the line widget must enable its internal handle widgets.

Reimplemented from vtkAbstractWidget.

## ◆ SelectAction()

static void vtkTensorWidget::SelectAction | ( | vtkAbstractWidget * |  | ) |
| staticprotected

## ◆ EndSelectAction()

static void vtkTensorWidget::EndSelectAction | ( | vtkAbstractWidget * |  | ) |
| staticprotected

## ◆ TranslateAction()

static void vtkTensorWidget::TranslateAction | ( | vtkAbstractWidget * |  | ) |
| staticprotected

## ◆ ScaleAction()

static void vtkTensorWidget::ScaleAction | ( | vtkAbstractWidget * |  | ) |
| staticprotected

## ◆ MoveAction()

static void vtkTensorWidget::MoveAction | ( | vtkAbstractWidget * |  | ) |
| staticprotected

## ◆ SelectAction3D()

static void vtkTensorWidget::SelectAction3D | ( | vtkAbstractWidget * |  | ) |
| staticprotected

## ◆ EndSelectAction3D()

static void vtkTensorWidget::EndSelectAction3D | ( | vtkAbstractWidget * |  | ) |
| staticprotected

## ◆ MoveAction3D()

static void vtkTensorWidget::MoveAction3D | ( | vtkAbstractWidget * |  | ) |
| staticprotected

## ◆ StepAction3D()

static void vtkTensorWidget::StepAction3D | ( | vtkAbstractWidget * |  | ) |
| staticprotected

## ◆ ProcessKeyEvents()

static void vtkTensorWidget::ProcessKeyEvents | ( | vtkObject * | ,
|  | unsigned long | ,
|  | void * | ,
|  | void * |
| ) |  |
| staticprotected

## Member Data Documentation

## ◆ WidgetState

int vtkTensorWidget::WidgetState
| protected

Definition at line 156 of file vtkTensorWidget.h.

## ◆ TranslationEnabled

vtkTypeBool vtkTensorWidget::TranslationEnabled
| protected

Definition at line 179 of file vtkTensorWidget.h.

## ◆ ScalingEnabled

vtkTypeBool vtkTensorWidget::ScalingEnabled
| protected

Definition at line 180 of file vtkTensorWidget.h.

## ◆ RotationEnabled

vtkTypeBool vtkTensorWidget::RotationEnabled
| protected

Definition at line 181 of file vtkTensorWidget.h.

## ◆ MoveFacesEnabled

vtkTypeBool vtkTensorWidget::MoveFacesEnabled
| protected

Definition at line 182 of file vtkTensorWidget.h.

## ◆ KeyEventCallbackCommand

vtkCallbackCommand* vtkTensorWidget::KeyEventCallbackCommand
| protected

Definition at line 184 of file vtkTensorWidget.h.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkTensorWidget.h